![RISE V2G logo](https://www.v2g-clarity.com/filer/media/1500556560/182/ "RISE V2G logo")

The open source reference implementation of the Vehicle-2-Grid communication interface ISO 15118

### About RISE V2G

RISE V2G is the **R**eference **I**mplementation **S**upporting the **E**volution of the **V**ehicle-**2**-**G**rid communication interface ISO 15118.
The international standard ISO 15118, entitled "Road vehicles - Vehicle to grid communication interface", defines a digital IP-based communication interface between an electric vehicle (EV) and a charging station (named Electric Vehicle Supply Equipment - EVSE). It allows for a user-friendly "Plug And Charge" mechanism for authentication, authorisation, billing, and flexible load control based on a wide set of information exchanged between the EV and EVSE.
A rise in the wide application of this standard is essential for reaching the goal of integrating EVs as flexible energy storage devices into a smart grid.


### Mission Statement
The RISE V2G project serves as an open source standard-compliant reference implementation and documentation. As such, the objective is to provide a test platform for interoperability testing and to offer an information resource for interested parties. The adoption of a new technology heavily depends on the interoperability of its various implementations. The more tests conducted, the more stable and reliable the developed solution will be.

RISE V2G shall evolve to cover all aspects of conductive and inductive charging and communication from the data link layer up to the application layer. However, it requires a lot of work to be done to fulfil this endeavor.
Your assistance would therefore be very appreciated, be it by testing this reference implementation against your own solution - this way uncovering possible bugs or making code optimisation suggestions - or by providing an implementation for yet missing parts.

### More Information
A thorough documentation for RISE V2G will follow soon.

- Have a look at the ISO 15118 Manual at [www.v2g-clarity.com/iso15118-masterclass](https://www.v2g-clarity.com/iso15118-masterclass) to fully understand how ISO 15118 works
- View the [RISE V2G Basics online course](https://courses.v2g-clarity.com/p/risev2g-basics) to get RISE V2G up and running on your computer in under an hour. 

![RISE V2G Basics Course](https://www.v2g-clarity.com/filer/media/1510232551/192/ "RISE V2G Basics Course")

- Join the [ISO 15118 User Group](http://extmgmt.kn.e-technik.tu-dortmund.de/) for discussing Q&As regarding the implementation of ISO 15118 standard requirements (for an account, mail to jens.schmutzler@tu-dortmund.de)


### License
RISE V2G is published under the [MIT License](https://github.com/V2GClarity/RISE-V2G/blob/master/LICENSE).

